PLaSK library

Loading...
Searching...
No Matches
Public Member Functions | List of all members
plask::align::Aligner< Primitive< 3 >::DIRECTION_LONG > Struct Reference

`#include <plask/geometry/align.hpp>`

Inheritance diagram for plask::align::Aligner< Primitive< 3 >::DIRECTION_LONG >:
[legend]
Collaboration diagram for plask::align::Aligner< Primitive< 3 >::DIRECTION_LONG >:
[legend]

## Public Member Functions
| Aligner ()
| Aligner (AlignerImpl< direction > *impl)
Public Member Functions inherited from plask::align::AlignerBase< Primitive< 3 >::DIRECTION_LONG >
| AlignerBase ()
| AlignerBase (AlignerImpl< _direction > *impl)
double | getCoordinate () const
| Get coordinate to which this aligner align.
double | getAlign (double low, double hi) const
| Get translation for aligned object.
bool | useBounds () const
| Check if this aligner getAlign use bounds (low and hi parameters) in calculation.
double | align (Translation< 3 > &toAlign, const Box3D &childBoundingBox) const
| Set object coordinate in direction of aligner activity.
virtual double | align (Translation< 3 > &toAlign) const
| Set object translation in direction of aligner activity.
virtual std::string | key (const AxisNames &axis_names) const
| Get aligner name.
std::map< std::string, double > | asDict (const AxisNames &axis_names) const
| Get aligner as dictionary.
void | writeToXML (XMLElement &dest, const AxisNames &axis_names) const
| Write this aligner to XML.
std::string | str () const
| Get string representation of this using print method.
Public Member Functions inherited from plask::HolderRef< AlignerImpl< _direction > >
| HolderRef ()
| HolderRef (AlignerImpl< _direction > *held)
| Construct a holder with given `held` object.
bool | isNotNull () const
bool | isNull () const
void | reset (AlignerImpl< _direction > *new_held)

## Additional Inherited Members
Static Public Attributes inherited from plask::align::AlignerBase< Primitive< 3 >::DIRECTION_LONG >
static const Direction | direction
| Direction of activity.
Protected Attributes inherited from plask::HolderRef< AlignerImpl< _direction > >
shared_ptr< AlignerImpl< _direction > > | held
| Hold object. Typically can be nullptr only after move assignment.

## Detailed Description

Definition at line 281 of file align.hpp.

## Constructor & Destructor Documentation

## ◆ Aligner() [1/2]

plask::align::Aligner< Primitive< 3 >::DIRECTION_LONG >::Aligner | ( |  | ) |
| inline

Definition at line 282 of file align.hpp.

## ◆ Aligner() [2/2]

plask::align::Aligner< Primitive< 3 >::DIRECTION_LONG >::Aligner | ( | AlignerImpl< direction > * | impl | ) |
| inline

Definition at line 283 of file align.hpp.

The documentation for this struct was generated from the following file:

- plask/geometry/align.hpp